<chapter id="installation">
<title
>Paigaldamine </title>

<epigraph>
<attribution
>Linus Torvalds, after finding one of his file systems smashed by a
new Beta kernel</attribution>
<para
>Mälutõmmiste (core dump) fsck-d ajavad mu närvi</para>
</epigraph>

<para
>Ära muretse! Kuigi beetastaadiumis tarkvara kasutamine võib tõesti põhjustada peavalu ja muret, on äärmiselt vähetõenäoline, et KDE paigaldamine rikuks sinu kõvaketta. Tegelikult ongi kogu see peatükk pühendatud sellele, et anda sulle juhiseid korralikuks paigaldamiseks, et sa võiksid oma uuele töölauale nii kiiresti (ja võimalikult vähese muretundega) otsa vaadata, kui võimalik. Nagu uue aknahalduri paigaldamise puhul ikka, soovitame ka meie enne paigalduse alustamist teha kõigist X11 spetsiifilistest seadistustest varukoopia. Kui sa ei tea täpselt, kus need asuvad, vaata läbi kõik peidetud (<filename
>.*</filename
>) failid oma kodukataloogis ja kataloogis <filename
>/usr/X11/lib/X11/xdm</filename
>. </para
> 

<sect1 id="requirements">
<title
>Nõuded </title>

<para
>Enne KDE paigaldamist kontrolli, et süsteem vastaks järgmistele nõuetele: </para>

<itemizedlist
> <listitem
><para
>Töötav POSIXiga ühilduv UNIX-süsteem. UNIXid, mille peal KDE teadaolevalt töötab, on järgmised: Linux, FreeBSD, Solaris, HP-UX ja MkLinux. Kuid me töötame selle nimel, et KDE oleks peagi kättesaadav ka rohkematel platvormidel. </para
></listitem
> <listitem
><para
>Veidi vaba ruumi partitsioonil, kuhu paigaldatakse <filename
>/opt/kde</filename
>. Me soovitame reserveerida umbes 50 MB, kui süsteem toetab jagatud teeke, ning märksa enam, kui ei toeta. Kui sa pead või soovid paigaldada KDE lähtetekstifailidest, siis tuleb reserveerida umbes 100 MB ka <filename
>/usr/src</filename
> jaoks.</para
></listitem
> <listitem
><para
>Töötav X11 süsteem kas rakendusega <application
>xdm</application
> või ka ilma selleta. Kui sul ei ole veel X Window Systemi paigaldatud, kontrolli, kas sinu UNIXi paigaldusandmekandjatel on paigaldatav versioon. Kui sul ei õnnestu töötavat versiooni leida, hangi infot selle kohta, kuidas saada ja paigaldada X Window System, kas <ulink url="http://www.xfree86.org"
>XFree86 veebileheküljelt</ulink
> või oma UNIXi pakkujalt. </para
></listitem
> <listitem
><para
>Qt teegid, versioon 3.0.2. Neid saab tgz-vormingus <ulink url="ftp://ftp.trolltech.com/qt"
>Trolltechi FTP-serverilt</ulink
>. </para
> </listitem
> </itemizedlist>

<warning
><para
>Hoiatus enne alustamist: enne praeguse KDE versiooni uuendamist soovitame teha järgmist:</para>

<screen
> 
<command
>cd <filename
>/opt/kde</filename
></command
> 
<command
>tar <option
>cfvz <replaceable
>~/KDE-vana-versioon-backup.tar.gz</replaceable
> * </option
></command>
</screen>
</warning>

</sect1>

<sect1 id="linux-installing-rpms">
<title
>Linux: RPMide paigaldamine RedHati, Caldera ja SuSE puhul.</title>

<para
>RPMide kasutamine on lihtsaim meetod KDE kiiresti ja hõlpsalt paigaldada ning tööle saada. Külasta vaid meelepärast KDE peegelsaiti ning vaata kataloogi <filename
>/pub/kde/stable/distribution/rpm</filename
>. Seal näed katalooge erinevatele operatsioonisüsteemidele. Praegu on toetatud i386, alpha ja sparc arhitektuur. RPM-pakette leiab ka Red Hati saitidelt, näiteks sunsite.unc.edu või ftp.redhat.com </para>

<para
>Põhisüsteem koosneb failides <filename
>kde-<replaceable
>component</replaceable
>.<replaceable
>architecture</replaceable
>.rpm</filename
>. Vaja läheb minimaalselt pakette kdesupport, kdelibs ja kdebase. Baasdistributsiooni hankimise järel võid vabalt alla laadida ka teisi RPMe, mida pead endale vajalikuks. </para>

<para
>Nüüd alusta baaspaketi paigaldamist. Kui paigaldada KDEd esimest korda, kasuta käske </para>

<screen
> 
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdesupport.arhit.rpm</filename
></userinput>
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdelibs.arhit.rpm</filename
></userinput>
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdebase.arhit.rpm</filename
></userinput>
</screen>
 
<important
><para
>Oluline on mainitud komponendid paigaldada just selles järjekorras ja enne muude KDE komponentide paigaldamist.</para
></important>

<para
>Kui uuendad varasemat väljalaset, siis kasuta käske <screen
> 
<userinput
><command
>rpm</command
> <option
>-Uvh</option
> <filename
>kde-<replaceable
>komponent</replaceable
>.<replaceable
>arhit</replaceable
>.rpm</filename
></userinput>
</screen
> </para>

<para
>Taas tuleb jälgida ülaltoodud järjekorda ning ka need komponendid tuleb paigaldada enne muude KDE komponentide paigaldamist.</para>

<para
>See pakib baasdistributsiooni lahti ja paigaldab selle vaikimisi kataloogi <filename
>/opt/kde</filename
>.</para>

<para
>Kui baaspakettide paigaldus oli edukas, võid asuda samal moel paigaldama ülejäänud pakette (kasutades taas võtme <option
>-i</option
> asemel võtit <option
>-Uvh</option
>, kui tegemist on uuendusega). </para>

</sect1>

<sect1 id="installing-debian">
<title
>Linux: <acronym
>DEB</acronym
>ide paigaldamine debiani puhul</title>

<para
>Debiani süsteemi paigaldus on samuti üsna hõlpus ja lihtne. Tuleb vaid leida KDE 2.0 paketid Debian 2.2 (Potato) ja 3.0 (Woody) jaoks. Me kirjeldame siin, kuidas paigaldada pakette Debian 2.2 puhul, mis on stabiilne versioon, kuna Debian 3.0 on veel arendusjärgus. Kuid mõlema versiooni puhul on paigaldus peaaegu ühesugune. Peamine erinevus on see, et KDE on ametlikult arvatud Debian 3.0 koosseisu ning puudub vajadus määrata mingit spetsiaalset asukohta KDE deb-pakettide leidmiseks.</para>

<para
>Esimene samm on teatada süsteemile, kust ta leiab KDE deb-paketid. Debiani pakettide asukohtade nimekiri leidub kõvakettal failis <filename
>/etc/apt/sources.list</filename
>. Sinna võiks lisada rea: <userinput
>http://kde.tdyc.com/ stable kde2</userinput
></para>

 
<para
>Seejärel tuleb uuendada kohalikku pakettide andmebaasi, et ka süsteem saaks teada, et saadaval on uusi pakette. Kasuta käsku:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>update</option
></userinput>
</screen>
 
<para
>Lõpuks tuleb paigaldada KDE baaskomponendid. Seda saab teha käsuga:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install kdebase</option
></userinput>
</screen>
 
<para
>Kui soovid paigaldada muid komponente, võid anda mõne järgmistest käskudest või ka need kõik:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install task-kdenetwork</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeadmin</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdetoys</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeutils</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdemultimedia</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegraphics</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdepim</option
></userinput>
<userinput
><command
>apt-get</command
> <option
> install task-kdegames</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-koffice</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdebase-docs</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdm</option
></userinput>
</screen>

<para
>Kasulik võiks olla ka oma keele paketi paigaldamine.</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install
kde-i18n-<replaceable
>xx</replaceable
></option
></userinput>
 </screen>
<para
>kus <replaceable
>xx</replaceable
> vastab sinu keele koodile (eesti keele puhul et).</para>

<para
>Mõne KDE rakenduse kontrollfailid paigaldatakse kataloogi <filename class="directory"
>/etc/kde2</filename
>, käivitusfailid kataloogi <filename class="directory"
>/usr/bin</filename
> ning enamik lisafaile erinevatesse alamkataloogidesse kataloogis <filename class="directory"
>/usr/share</filename
>. </para>

<para
>Kui uuendad varasemat KDE versiooni, peaksid ette võtma järgmised sammud. Esmalt uuenda faili <filename
>/etc/apt/sources.list</filename
>, asendades KDE pakettide asukoha rea reaga: <userinput
>http://kde.tdyc.com/ stable kde2</userinput
>. Teiseks uuenda pakettide andmebaasi:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>update</option
></userinput>
</screen>
 
<para
>Ja lõpuks paigalda KDE baassüstem:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install-kdebase</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>dist-upgrade</option
></userinput>
</screen>
 
<para
> Kui soovid paigaldada rohkem KDE komponente, kasuta mõnda või kõiki järgmistest käskudest.</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install task-kdenetwork</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeadmin</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdetoys</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeutils</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdemultimedia</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegraphics</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdepim</option
></userinput>
<userinput
><command
>apt-get</command
> <option
> install task-kdegames</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-koffice</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdebase-docs</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdm</option
></userinput>
</screen>

</sect1>

<sect1 id="source-distribution">
<title
>Lähteteksti kompileerimine muude süsteemide puhul </title>

<para
>Kui sinu Linuxi distributsioon ei kasuta RPM- või DEB-arhiivi vormingut või kui sa ei kasuta üldse Linuxit, tuleb sul KDE ise kompileerida. Tulevikus on meil kavas pakkuda ka binaardistributsiooni, millega oleks kaasas oma paigaldusrakendus. </para>

<para
>KDE korrektseks kompileerimiseks ja paigaldamiseks peavad kõvakettale olema paigaldatud järgmised elemendid: </para>

<itemizedlist
> <listitem
><para
>ANSI-C kompilaator, <abbrev
>nt</abbrev
> <abbrev
>GNU</abbrev
> C kompilaator. </para
></listitem
> <listitem
><para
>ANSI-C++ kompilaator, <abbrev
>nt</abbrev
> <abbrev
>GNU</abbrev
> C++. </para
></listitem
> <listitem
><para
>Utiliit <application
>make</application
>. </para
></listitem
> <listitem
><para
>Qt arendusversioon 2.2 või uuem.</para
></listitem
> <listitem
><para
>X11 arendusversioon (sageli puuduvad include-failid) </para
></listitem
> </itemizedlist>

<para
>Kui sul on olemas kõik eelnevalt vajalikud elemendid, suundu meelepärasele KDE peegelsaidile ja tõmba sealt kataloogist <filename
>/pub/kde/stable/<replaceable
>uusim versioon</replaceable
></filename
> järgmised failid:</para>

<itemizedlist
> <listitem
><para
><filename
>kdesupport-<replaceable
>versioon</replaceable
>.tar.gz</filename
></para
></listitem
> <listitem
><para
><filename
>kdelibs-<replaceable
>versioon</replaceable
>.tar.gz</filename
> </para
></listitem
> <listitem
><para
><filename
>kdebase-<replaceable
>versioon</replaceable
>.tar.gz</filename
></para
></listitem
> <listitem
><para
>kõik muud paketid, mida soovid paigaldada. Meie soovitus oleks võtta vähemalt kdeutils. </para
></listitem
> </itemizedlist>

<para
>Kõigil mainitud juhtudel tähendab <replaceable
>versioon</replaceable
> praeguse väljalaske versiooni numbrit. Kui oled kõik vajaliku alla laadinud, paki falid lahti kataloogi <filename
>/usr/src</filename
>. See peaks tekitama järgmise kataloogistruktuuri:</para>

<itemizedlist
> <listitem
><para
><filename
>/usr/src/kdesupport</filename
></para
></listitem
> <listitem
><para
><filename
>/usr/src/kdelibs</filename
></para
></listitem
> <listitem
><para
><filename
>/usr/src/kdebase</filename
></para
></listitem
> <listitem
><para
><filename
>/usr/src/...</filename
> (kõik muud paketid)</para
></listitem
> </itemizedlist>

<para
>Kontrolli, et sul on kirjutamisõigus kataloogis <filename
>/opt/kde</filename
>.</para>

<para
>Nüüd tuleb paketid kompileerida ja paigaldada käskudega: </para>

<procedure
> <step
><para
><command
>cd</command
> selle paketi kataloogi, mida soovid paigaldada (vt ülal)</para
></step
> <step
><para
><command
>./configure</command
> (koos võtmetega, mida soovid rakendada)</para
></step
> <step
><para
><command
>make</command
></para
></step
> <step
><para
><command
>make install</command
></para
></step
> </procedure>

<para
>Kasuta toodud samme iga paketi puhul, mida soovid paigaldada.</para>

<note
><para
>Neid juhiseid võib kasutada peaaegu iga lähtetekstipaketi paigaldamisel, mitte ainult KDE puhul. </para
></note>

<para
>Igal konfigureerimisskriptil võib olla mitmeid võtmeid. Mõned on kõigi pakettide puhul ühised, mõned omased ainult konkreetsele paketile. Siintoodu kajastab osaliselt seda, mida võib näha käsuga <command
>configure <option
>--help</option
></command
> paketi kdelibs korral:</para>

<screen>
<computeroutput>
  --disable-fast-perl     keelab kiire Makefile genereerimise (vajab perli)
  --enable-debug          tekitab veateatekoodi [vaikimisi=ei]
  --enable-strict         kompileerib kompilaatori rangete võtmetega (ei pruugi töötada!)
  --enableprofile        tekitab profiiliinfo [vaikimisi=ei]
  --enable-final          loob optimeeritud suurusega rakendused (eksperimentaalne - vajab palju mälu)
  --disable-closure       ei viivita mallide isendiloomega
  --enable-shared[=PKGS]  loob jagatud teegid [vaikimisi=jah]
  --enable-static[=PKGS]  loob staatilised teegid [vaikimisi=ei]
  --enable-fast-install[=PKGS]  optimeerib kiireks paigalduseks [vaikimisi=jah]
  --with-gnu-ld           eeldab, et C-kompilaator kasutab GNU ld-d [vaikimisi=ei]
  -disable-libtool-lock  väldib lukustumist (võib rikkuda paralleelse loome)
  --with-pic              püüab kasutada ainult PIC/mitte-PIC objekte [vaikimisi=kasuta mõlemaid]
  --with-extra-includes=DIR
                          lisab mittestandardsed include asukohad
  --with-extra-libs=DIR  lisab mittestandardsed teekide asukohad
  --with-qt-dir=DIR       kuhu on paigaldatud Qt juur.
  --with-qt-includes=DIR  kus asuvad Qt include-failid.
  --with-qt-libraries=DIR kuhu on paigaldatud Qt teek.
  --disable-rpath         mitte kasutada ld võimalust rpath
  --disable-path-check    ei püüa leida, kuhu paigaldada
  --with-xdmdir           kui xdm seadistustekataloogi ei leita automaatselt
  --with-pam[=ARG]        lubab PAM toetust: ARG=[jah|ei|teenuse nimi]
  --with-shadow          kui soovid variparoolide toetust
  --with-krb4[=PATH]      kompileerib Kerberis v4 toega.
  --with-afs              kompileerib AFS toega (vajab KTH krb4).
  --with-ldap[=PATH]      kompileerib LDAP toega
  --with-samba-libs=path  kasutab Samba-tng teeke asukohas                [search]
  --without-gl            keelab 3D GL režiimid
  --without-xpm           keelab värvi pikselrastrite XPM testid
  --without-dpms          keelab DPMS energiasäästu
  --with-x                kasutada X Window Systemi
  --with-motif-includes=DIR    Motifi include-failid asuvad DIR-is
  --with-motif-libraries=DIR   Motifi teegid asuvad DIR-is                           
</computeroutput>
</screen>

<para
>Mõned võtmed pole nõutavad ning on kasulikud ainult juhul, kui esineb kindlaid probleeme (<abbrev
>nt</abbrev
> <option
>--disable-FEATURE</option
>). Et mõned võtmed on siiski olulised, nt <emphasis
>--with-shadow</emphasis
>, tasub iga kord kontrollida, milliseid võtmeid antud paketi puhul kasutada saab.</para>

<para
>Oluline võti on <option
>--prefix</option
>. See määrab asukoha, kuhu konfigureerimine peaks paigaldama (kdesupporti ja kdelibsi korral) või kus tuleks otsida teeke (ülejäänud pakettide puhul). Vaikimisi on selleks asukohaks <filename
>/opt/kde</filename
>. Kui soovid aga näiteks paigaldada KDE kataloogi <filename
>/usr/local/kde</filename
>, tuleb kasutada võtit <command
>configure <option
>--prefix /usr/local/kde</option
></command
>.</para>

<para
>Kui oled paigaldanud Qt teegid mõnda ebatavalisse kohta, näiteks <filename
>$HOME/src/qt</filename
>, tuleb kasutada võtit <command
>configure <option
>--with-qt-dir=$HOME/src/qt</option
></command
>. Vaikimisi otsib konfigureerimisskript Qt-d tavapärastest kohtadest, enne kui loobub.</para>

<para
>Kui sul esineb probleeme, mida sa ei suuda lahendada, saada koopia failist <filename
>.config.log</filename
> aadressile, mis on kirja pandud vastava paketi failis <filename
>README</filename
>.</para>

<para
>KDE tuleb paigaldada järgmises järjekorras: kdesupport, kdelibs, seejärel rakenduste paketid (näiteks kdebase). Kõik rakendustepaketid peaksid sõltuma ainult paketist kdelibs, nii et neid võib kompileerida kasvõi ühel ja samal ajal (kui ainult sinu masin seda vastu peab).</para>

<para
>Kui soovid kasutada eeliseid, mida pakuvad mitme protsessoriga süsteemid, siis võib tavalise käsu <command
>make</command
> asemel kasutada käsku <command
>make <option
> -j <replaceable
>protsessorite arv</replaceable
></option
></command
>. </para>

<sect2>
<title
>Märkus platvormide spetsiifika kohta </title>

<sect3>
<title
>Linux </title>

<para
>Linuxi puhul leiab enaminu utiliite, mida läheb vaja KDE paigaldamiseks, aadressidelt <ulink url="ftp://sunsite.unc.edu/pub/Linux/GCC"
>ftp://sunsite.unc.edu/pub/Linux/GCC</ulink
> või <ulink url="ftp://sunsite.unc.edu/pub/GNU"
>ftp://sunsite.unc.edu/pub/GNU</ulink
>. Qt teegid leiab lähtetekstina aadressilt <ulink url="ftp://ftp.troll.no/pub/qt/source"
>ftp://ftp.troll.no/pub/qt/source</ulink
>. Sellega käivad kaasas ka põhjalikud paigaldusjuhised. X22 rakenduste include-failid on saadaval aadressil <ulink url="ftp://ftp.xfree86.org"
>ftp://ftp.xfree86.org</ulink
> sektsioonis xdevel. </para>

</sect3>
</sect2>
</sect1>

<sect1 id="suse-install">
<title
>Nõutavad muudatused seadistustefailides </title>
<para
> Kui oled seadnud KDE binaarfailid sihtkataloogidesse, tuleb käivitusskriptides teha mõningaid muudatusi. </para>
<para
> Järgnevat protseduuri on testitud SuSE Linux 5.0 peal ning see peaks sobima kõigile levinud UNIXitele. <emphasis
>Tee alati seadistustefailidest varukoopia, enne kui hakkad neid muutma!</emphasis
>. Lisa järgmised read /etc/profile lõppu: </para>
<para
> <screen
>export PATH=$PATH:/opt/kde/bin 
export KDEDIR=/opt/kde
</screen
> </para>
<para
>Järgmisena redigeeri oma kodukataloogi faili -xinitrc. Otsi üles rida, mis kutsub välja aknahalduri ja kirjuta selle asemele <literal
>startkde</literal
>.</para>
<para
>Nüüd, kui kõik KDE käivitamiseks vajalik on paigaldatud, võid suunduda IV peatüki kallale, kus saad teada, mis ja kuidas juhtub KDE esimesel käivitamisel. Kui miski on valesti läinud, tuleb sul KDE omal käel kompileerida. Selle kohta loe lähemalt lõiku <link linkend="source-distribution"
>Lähteteksti kompileerimine muude süsteemide puhul</link
>. </para>
<para
>Me oleme püüdnud muuta paigaldamise nii lollikindlaks, kui vähegi võimalik, ja sul ei tohiks esineda mingeid tõsisemaid probleeme, kui su seadistus ei ole just väga eksootiline. Kui koged siiski raskusi, kasuta julgelt <link linkend="mailing-lists"
>KDE meililiste</link
>. </para>
</sect1>
</chapter>

